Subject: Re: perl-5.6.1-2 bug
From: "Gerrit P. Haase" <[email-masked]>
To: "Ñãzã®78" <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 Aug 2001 12:51:39 +0200

Ñãzã®78 schrieb am 2001-08-26, 13:14:
>Hi there. I've just found this on perl-5.6.1-2.
>
>-- begin test.pl --
>#!/usr/bin/perl
>
>print "Hello, World\n\n";
>
>exit;
>-- end test.pl --
>
>perlcc -o test.exe test.pl
>
>When try'in to execute test.exe, I got this:
>
>Error Starting the Program>>The TEST.EXE is linked to missing export
>LIBPERL5_6_1.DLL:Perl_Gcurinterp_ptr.
>
>Hope this helps.

Hi,

You lucky one, how does this trick work?

For me it stackdumps with exactely the same script:

$ ./test
      0 [main] test 292 open_stackdumpfile: Dumping stack trace to test.exe.stackdump
Segmentation fault (core dumped)

perlcc 'should' be able to build standalone executables, but
it is the first time i saw now, that it is really able to do so.
I will have to dig into a little deeper.
Have you some special environment variables set?

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/